<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::PixelBox Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1Box.html#a26cb2e011c3dec1ff625716e1778233a">back</a></td><td><a class="el" href="structOgre_1_1Box.html">Ogre::Box</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1Box.html#a66b5764c9ac1aad8410e9883c74b522a">bottom</a></td><td><a class="el" href="structOgre_1_1Box.html">Ogre::Box</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1Box.html#aaae3f6efb19b7607eef11e8e70fa46a2">Box</a>()</td><td><a class="el" href="structOgre_1_1Box.html">Ogre::Box</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1Box.html#ade5fa24983e99f0ebabfc04f416aef1d">Box</a>(size_t l, size_t t, size_t r, size_t b)</td><td><a class="el" href="structOgre_1_1Box.html">Ogre::Box</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1Box.html#af02ad818211c2f83fff1866f328872c8">Box</a>(size_t l, size_t t, size_t ff, size_t r, size_t b, size_t bb)</td><td><a class="el" href="structOgre_1_1Box.html">Ogre::Box</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1Box.html#aebee870489731d59ddc99903220244c0">contains</a>(const Box &amp;def) const </td><td><a class="el" href="structOgre_1_1Box.html">Ogre::Box</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelBox.html#ac4fe215e13fc38d6a45e0c40ee2f1425">data</a></td><td><a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelBox.html#aa4101fdc288dc41dddac88440b4d0818">format</a></td><td><a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1Box.html#a6057f53bf949ee0725aeb52d1e480f4c">front</a></td><td><a class="el" href="structOgre_1_1Box.html">Ogre::Box</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelBox.html#af5f45d4b78fcf4c139c827349aac2121">getColourAt</a>(size_t x, size_t y, size_t z)</td><td><a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelBox.html#a469097a2cc6e3652ba3fe44366ce389d">getConsecutiveSize</a>() const </td><td><a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1Box.html#a35a70afaf89bbd6371a9abdc9e1da469">getDepth</a>() const </td><td><a class="el" href="structOgre_1_1Box.html">Ogre::Box</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1Box.html#a93d5935ee18c29336ea11460a9d30b53">getHeight</a>() const </td><td><a class="el" href="structOgre_1_1Box.html">Ogre::Box</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelBox.html#a6c57caf05a1a9c91780f6602bec71402">getRowSkip</a>() const </td><td><a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelBox.html#a27f6e0e9f80a2a3397ef5550875cee97">getSliceSkip</a>() const </td><td><a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelBox.html#a692f1b55d10d988a6952a2720b24a7ae">getSubVolume</a>(const Box &amp;def) const </td><td><a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1Box.html#a7621962346ee18c3df6a405d115548a8">getWidth</a>() const </td><td><a class="el" href="structOgre_1_1Box.html">Ogre::Box</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelBox.html#a37865dea7e66ea41c9c47f8a52a55892">isConsecutive</a>() const </td><td><a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1Box.html#a8c667f45bbbe5be0577025436a7e50a0">left</a></td><td><a class="el" href="structOgre_1_1Box.html">Ogre::Box</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelBox.html#a196c57b3cf61c1545c46896cff269efb">PixelBox</a>()</td><td><a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelBox.html#a422d941d56f9bb32134f304754e0d72d">PixelBox</a>(const Box &amp;extents, PixelFormat pixelFormat, void *pixelData=0)</td><td><a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelBox.html#ada7e7fab7d00e3c842a514fe7aa11b0d">PixelBox</a>(size_t width, size_t height, size_t depth, PixelFormat pixelFormat, void *pixelData=0)</td><td><a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1Box.html#a57531708bc749511715f37648d105aad">right</a></td><td><a class="el" href="structOgre_1_1Box.html">Ogre::Box</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelBox.html#aacf8f1ebed40c557389d9d1e9dda3b68">rowPitch</a></td><td><a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelBox.html#ad9be8442d595e5208ea80e59041b59d8">setColourAt</a>(ColourValue const &amp;cv, size_t x, size_t y, size_t z)</td><td><a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelBox.html#a69fea3b4fed6726ee578519ec05bd246">setConsecutive</a>()</td><td><a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelBox.html#a5f4ac4f2e735678fc8b3ddc1068674dd">slicePitch</a></td><td><a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1Box.html#aebfb3bd646373c45c9e38735640f6e3a">top</a></td><td><a class="el" href="structOgre_1_1Box.html">Ogre::Box</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelBox.html#a5a5191d05b7ec15bb97c98807c271f35">~PixelBox</a>()</td><td><a class="el" href="classOgre_1_1PixelBox.html">Ogre::PixelBox</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
